caption: Configure ARC
desc: |-
  Setting the policy specifies a set of policies to hand over to the ARC runtime. Admins can use it to select the Android apps that autoinstall. Enter value in valid JSON format.

        To pin apps to the launcher, see PinnedLauncherApps.
description_schema:
  properties:
    applications:
      items:
        properties:
          defaultPermissionPolicy:
            description: 'Policy for granting permission requests to apps. PERMISSION_POLICY_UNSPECIFIED:
              Policy not specified. If no policy is specified for a permission at
              any level, then the `PROMPT` behavior is used by default. PROMPT: Prompt
              the user to grant a permission. GRANT: Automatically grant a permission.
              DENY: Automatically deny a permission.'
            enum:
            - PERMISSION_POLICY_UNSPECIFIED
            - PROMPT
            - GRANT
            - DENY
            type: string
          installType:
            description: 'Specifies how an app is installed. AVAILABLE: The app is
              not installed automatically, but the user can install it. This is the
              default if this policy is not specified. FORCE_INSTALLED: The app
              is installed automatically and the user cannot uninstall it. BLOCKED:
              The app is blocked and cannot be installed. If the app was installed
              under a previous policy it will be uninstalled.'
            enum:
            - AVAILABLE
            - FORCE_INSTALLED
            - BLOCKED
            type: string
          managedConfiguration:
            description: 'App-specific JSON configuration object with a set of key-value
              pairs, e.g. ''"managedConfiguration": { "key1": value1, "key2": value2
              }''. The keys are defined in the app manifest.'
            type: object
          packageName:
            description: Android app identifier, e.g. "com.google.android.gm" for
              Gmail
            type: string
        type: object
      type: array
  type: object
example_value: '{"applications":[{"packageName":"com.google.android.gm","installType":"FORCE_INSTALLED","defaultPermissionPolicy":"PROMPT","managedConfiguration":{}},{"packageName":"com.google.android.apps.docs","installType":"BLOCKED","defaultPermissionPolicy":"PROMPT","managedConfiguration":{}},{"packageName":"com.google.android.calculator","installType":"AVAILABLE","defaultPermissionPolicy":"PROMPT","managedConfiguration":{}}]}'
features:
  dynamic_refresh: true
  per_profile: false
owners:
- arc-commercial@google.com
- mhasank@chromium.org
schema:
  type: string
supported_on:
- chrome_os:50-
tags: []
type: string
